image: nimlang/nim:latest

stages:
  - test
  - publish

run-unit-tests:
  stage: test
  script:
    - nim c -d:ssl -r tests

publish-artifacts:
  stage: publish
  script:
    - nim c -d:ssl -d:release -d:quick --passc:-flto nimcoon.nim && strip nimcoon
  artifacts:
    paths:
      - nimcoon
